# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | List of all members
DBus::ErrorNameHasNoOwner Struct Reference

`#include <error.h>`

Inheritance diagram for DBus::ErrorNameHasNoOwner:

## Public Member Functions

| ErrorNameHasNoOwner (const char *message)
Public Member Functions inherited from DBus::Error
| Error ()
| Error (InternalError &)
| Error (const char *name, const char *message)
| Error (Message &)
| ~Error () throw ()
const char * | what () const throw ()
const char * | name () const
const char * | message () const
void | set (const char *name, const char *message)
bool | is_set () const
| operator bool () const

## Detailed Description

Definition at line 95 of file error.h.

## Constructor & Destructor Documentation

## ◆ ErrorNameHasNoOwner()

DBus::ErrorNameHasNoOwner::ErrorNameHasNoOwner | ( | const char * | message | ) |

inline

Definition at line 97 of file error.h.

References DBus::Error::Error(), and DBus::Error::message().

The documentation for this struct was generated from the following file:

- error.h